libmtp 1.1.23

Data Fields
_PTP_USB Struct Reference

## Data Fields
PTPParams * | params
uint8_t | config
uint8_t | interface
uint8_t | altsetting
int | inep
int | inep_maxpacket
int | outep
int | outep_maxpacket
int | intep
int | callback_active
int | timeout
uint16_t | bcdusb
uint64_t | current_transfer_total
uint64_t | current_transfer_complete
LIBMTP_progressfunc_t | current_transfer_callback
void const * | current_transfer_callback_data
LIBMTP_raw_device_t | rawdevice

## Field Documentation

## ◆ callback_active

int _PTP_USB::callback_active

File transfer callbacks and counters

Referenced by LIBMTP_Get_File_To_File_Descriptor(), LIBMTP_Get_File_To_Handler(), LIBMTP_Send_File_From_File_Descriptor(), and LIBMTP_Send_File_From_Handler().

## ◆ rawdevice

LIBMTP_raw_device_t _PTP_USB::rawdevice

Any special device flags, only used internally

Referenced by configure_usb_device(), dump_usbinfo(), and LIBMTP_Open_Raw_Device_Uncached().

The documentation for this struct was generated from the following file:

- libusb-glue.h